import { Question } from "@/types";
// import { useMarkStore } from "@/store";

export default function useQuestion() {
  // const markStore = useMarkStore();

  // 是否处于仲裁阶段
  function isArbitrated(question: Question) {
    return ["WAIT_ARBITRATE", "ARBITRATED"].includes(question.status);
  }

  function getArbitratedStatusName(question: Question) {
    if (question.status === "WAIT_ARBITRATE") {
      return "待仲裁";
    } else if (question.status === "ARBITRATED") {
      return "已仲裁";
    }
    return "";
  }

  function isDisabledQuestion(question: Question) {
    return !question.selfMark || isArbitrated(question);
  }

  return {
    isDisabledQuestion,
    isArbitrated,
    getArbitratedStatusName,
  };
}
